Subject: Business Air News Bulletin - April 25, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 26 Apr 2023 05:02:34 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Farnborough hangar on track to open in early 2024

Eight months after work began on Domus III, Farnborough airport’s £55m hangar facility, phase one of the construction programme has been completed on time, unlocking much needed capacity for airport operations.

Three Teslas arrive at Million Air Dallas

Hertz offers the largest electric rental fleet in North America with both the Tesla Model Y and Model 3. Million Air Dallas customers also have other make and model courtesy vehicle options, including an SUV for groups.

GateOne's Gillette location is its first in Wyoming

A 5,500 sq ft, mountain-contemporary terminal at Gillette features a stacked-stone exterior with natural wood, expansive windows and vaulted ceilings throughout. GateOne was selected over five other applicants.

Bombardier receives approvals for Smart Link Plus

The company has recently achieved essential TC, EASA and FAA approvals for almost its entire fleet of Challenger and Global aircraft. The news is welcome for operators of Challenger and Global types.

Stack integrates BOS with Avinode platform

Stack.aero BOS manages the entire trip request lifecycle, which begins with initial client contact and extends through aircraft sourcing, quoting/contracting, trip management and financial reconciliation.

ACS arranges more than 28,000 flights in 2022

ACS' private jet revenue was up 34 per cent on 2021 and 72 per cent up on pre-pandemic levels. This additional revenue is as a result of price inflation and customers booking longer flights on larger aircraft.

To unsubscribe, please contact [email-masked].